Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] Erreur de compilation Vmware-modules
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
leatherface
n00b
n00b


Joined: 26 Dec 2008
Posts: 20

PostPosted: Wed Jul 01, 2009 10:11 am    Post subject: [emerge] Erreur de compilation Vmware-modules Reply with quote

Bonjour à tous,

Je tente d'installer Vmware workstation avec emerge et je tombe sur un souci à savoir que la compilation plante sur vmware-modules.
Je dispose d'un kernel 2.6.29 et voici le message d'erreur:
Code:
 *             environment, line 2761:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\"                                               CROSS_COMPILE=${CHOST}-                    LDFLAGS=\"$(get_abi_LDFLAGS)\"                                           ${BUILD_FIXES}                                          ${BUILD_PARAMS}    ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=i686-pc-linux-gnu-gcc CROSS_COMPILE=i686-pc-linux-gnu- LDFLAGS=   auto-build VMWARE_VER=VME_V65 KERNEL_DIR=/usr/src/linux KBUILD_OUTPUT=/lib/modules/2.6.29-gentoo-r5/build
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.23/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/vmware-modules-1.0.0.23/temp/environment'.


Quelqu'un peut il m'aider?
Back to top
View user's profile Send private message
El_Goretto
Moderator
Moderator


Joined: 29 May 2004
Posts: 3102
Location: Paris

PostPosted: Wed Jul 01, 2009 2:28 pm    Post subject: Reply with quote

J'ai abandonné vmware server 1.0.x à cause de cela, ne connaissant pas les relations entre les versions des modules et celles du soft lui même (et n'arrivant pas à trouver un version compilant pour la dernière version de vmware server 1.0.x et mon kernel)
Il faut savoir que vmware server 2.0.x est sorti depuis un moment, mais je ne sais pas si l'ebuild de ces modules vmware server s'applique aussi à cette version.
_________________
-Gentoo hardened [EoL]: µ-serv Gen8 G1610T, 8Go ECC ; NF9D-2700, 4Go
-FreeBSD 11/Vimage/Jails: DS61, i3 2100T, 16Go ; FreeNAS: µ-serv N40L, 8Go ECC
-Réseau: ERL-3 + ESL-24 + GS108Tv2
-NAS: RN312
Back to top
View user's profile Send private message
anigel
Bodhisattva
Bodhisattva


Joined: 14 Apr 2003
Posts: 1889
Location: Un petit bled pas loin de Limoges ;-)

PostPosted: Wed Jul 01, 2009 4:33 pm    Post subject: Reply with quote

Bonjour,

As-tu essayé les VMWare-tools directement proposés avec ton virtualiseur ? En général ça marche plutôt bien.
_________________
Il y a 10 sortes d'individus en ce bas-monde : ceux qui causent binaire, et les autres.
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Wed Jul 01, 2009 11:22 pm    Post subject: Reply with quote

@anigel : heu quel rapport entre les vmware-tools et les vmware-modules ? 8O

@leatherface : rien de plus intéressant dans la partie qui précède le message que tu donnes ?
Back to top
View user's profile Send private message
Bio
Apprentice
Apprentice


Joined: 17 Mar 2003
Posts: 197
Location: Geneva which should be in Switzerland...

PostPosted: Thu Jul 02, 2009 7:28 am    Post subject: Reply with quote

Il faut les modules 1.0.0.24 pour le kernel 2.6.29
_________________
I'm all in !
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Thu Jul 02, 2009 10:46 am    Post subject: Reply with quote

Bio wrote:
Il faut les modules 1.0.0.24 pour le kernel 2.6.29

:?: 8O
D'où tiens-tu ça ?
Ici, vmware-modules-1.0.0.23 (donc la version stable !) compile parfaitement et fonctionne très bien avec les gentoo-sources-2.6.29 sur x86 ...
Back to top
View user's profile Send private message
Bio
Apprentice
Apprentice


Joined: 17 Mar 2003
Posts: 197
Location: Geneva which should be in Switzerland...

PostPosted: Fri Jul 03, 2009 7:00 am    Post subject: Reply with quote

ghoti wrote:
Bio wrote:
Il faut les modules 1.0.0.24 pour le kernel 2.6.29

:?: 8O
D'où tiens-tu ça ?
Ici, vmware-modules-1.0.0.23 (donc la version stable !) compile parfaitement et fonctionne très bien avec les gentoo-sources-2.6.29 sur x86 ...


Je tiens ça de mon expérience personnelle. Depuis mon passage au 2.6.29-r5 il m'a été impossible d'installer et vmware-workstation sur mon desktop et vmware-server 2 sur mon serveur. Jusqu'à ce que les modules 1.0.0.24 soient disponibles
_________________
I'm all in !
Back to top
View user's profile Send private message
novazur
Guru
Guru


Joined: 19 Mar 2005
Posts: 461
Location: Martinique

PostPosted: Fri Jul 03, 2009 5:45 pm    Post subject: Reply with quote

Sachant qu'en général, si par hasard vous venez de compiler le noyau en question pour lequel vous cherchez à compiler les modules de vmware, il vous faut d'abord rebooter sur le noyau en question. Sinon jamais ça ne passera.
Je dis ça au cas où...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum